Commit 805e007f authored by bucyril's avatar bucyril
Browse files

created install script, removed shitstack.txt, corrected small compilation...

created install script, removed shitstack.txt, corrected small compilation error for CentralManagerService.cpp
parent 2a2943fe
#!/bin/bash
die () {
echo >&2 "$@"
exit 1
}
[ "$#" -eq 1 ] || die "1 argument required (StudentID), $# provided"
echo $1 | grep -E -q '^[0-9]+$' || die "Numeric argument required, $1 provided"
#ros repository
sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu $(lsb_release -sc) main" > /etc/apt/sources.list.d/ros-latest.list'
sudo apt-key adv --keyserver hkp://ha.pool.sks-keyservers.net:80 --recv-key 421C365BD9FF1F717815A3895523BAEEB01FA116
#system update and installation
sudo apt-get update
sudo apt-get -y upgrade
sudo apt-get -y install ros-kinetic-desktop-full
#rosdep
sudo rosdep init
rosdep update
#untar catkin workspace
#needs to run after ros installation because of symbolic link to CMakeLists.txt
mkdir -p ~/pps_ws/src
tar -xf package.tar.gz -C ~/pps_ws/src
#environment setup
echo "source /opt/ros/kinetic/setup.bash" >> ~/.bashrc
source /opt/ros/kinetic/setup.bash
sudo sh -c "echo '10.42.0.32 teacher' >> /etc/hosts"
sudo sh -c "echo $1 >> /etc/StudentID"
#build workspace
cd ~/pps_ws
catkin_make -j4
echo "source ~/pps_ws/devel/setup.bash" >> ~/.bashrc
source ~/pps_ws/devel/setup.bash
echo "source ~/pps_ws/src/d_fall_pps/launch/Config.sh" >> ~/.bashrc
source ~/pps_ws/src/d_fall_pps/launch/Config.sh
export ROS_MASTER_URI=http://teacher:11311
export ROS_IP=10.42.0.33
export ROS_HOSTNAME=student$(cat ../param/StudentID)
export ROS_NAMESPACE=$(cat ../param/StudentID)
export ROS_HOSTNAME=student$(cat /etc/StudentID)
export ROS_NAMESPACE=$(cat /etc/StudentID)
......@@ -16,7 +16,6 @@
#include <stdlib.h>
#include <ros/ros.h>
#include "d_fall_pps/CentralManager.h"
#include "d_fall_pps/CrazyflieContext.h"
#include "d_fall_pps/CrazyflieDB.h"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment